# Generated from cabin-0.7.1.gem by gem2rpm -*- rpm-spec -*-
%global gemname cabin

%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}
%global rubyabi 1.8

Summary: Experiments in structured and contextual logging
Name: rubygem-%{gemname}
Version: 0.7.1
Release: 1%{?dist}
Group: Development/Languages
License: Apache License (2.0)
URL: https://github.com/jordansissel/ruby-cabin
Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem
Requires: ruby(abi) = %{rubyabi}
Requires: ruby(rubygems) 
BuildRequires: ruby(abi) = %{rubyabi}
BuildRequires: ruby(rubygems) 
BuildRequires: ruby 
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
This is an experiment to try and make logging more flexible and more
consumable. Plain text logs are bullshit, let's emit structured and contextual
logs. Metrics, too!


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}


%prep
%setup -q -c -T
mkdir -p .%{gemdir}
gem install --local --install-dir .%{gemdir} \
            --bindir .%{_bindir} \
            --force %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gemdir}
cp -pa .%{gemdir}/* \
        %{buildroot}%{gemdir}/

mkdir -p %{buildroot}%{_bindir}
cp -pa .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{geminstdir}/bin -type f | xargs chmod a+x

%files
%dir %{geminstdir}
%{_bindir}/rubygems-cabin-test
%{geminstdir}/bin
%{geminstdir}/lib
%{geminstdir}/.require_paths
%{geminstdir}/CHANGELIST
%{geminstdir}/LICENSE
%{geminstdir}/examples
%{geminstdir}/test
%exclude %{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%doc %{gemdir}/doc/%{gemname}-%{version}


%changelog
* Sun Jul 12 2015 Danilo Falcão <fcon@fedoraproject.org> - 0.7.1-1
- Initial package
